Page MenuHomePhabricator

Add a Wikipedia sticker pack to the app
Closed, ResolvedPublic

Description

Stickers

Zip files of stickers at Large and Normal sizes

618px x 618px408px x 408px

Zip file of iMessage icons (all sizes)


Per the email thread, lets consider adding a Messages Sticker Pack to the iOS app to celebrate Wikipedia's 15th birthday.

Documentation on stikers in iOS 10:
https://developer.apple.com/ios/human-interface-guidelines/extensions/messaging/
https://developer.apple.com/stickers/

Legal advises that as long as we use CC0 images we should be good to go.

Some concerns:

  • Will this increase the binary size significantly?

No. Turns out these are pretty small and will be further "thinned", so this will add no more than adding a basic library or other simple image assets, and shouldn't be a major concern.

  • How long do we support the sticker pack? Once we add it, are we obligated to include it forever to not piss off users, or can it be an "event"?
  • How do we make users aware of the stickers?

For both of the above, the best option is probably to list the sticker pack as a separate download. This way stickers can be highlighted in the store and live on, even if the core app moves on.


To do

  • Will we use both black hole stickers? If not which one would we like to use
  • Should the stickers be presented in the 'Normal' or 'Large' size on the store
  • Would we like to have 'screenshots' of the stickers in action (if so I'll need an hour or so to put these together)
  • I have suggested names for all of the stickers in the file names, but we might want to update them, they won't appear on the sticker but can be used with Voice control, etc

Event Timeline

JMinor created this task.Sep 10 2016, 1:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2016, 1:40 AM
JMinor triaged this task as Normal priority.Sep 14 2016, 4:53 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.

Apple is currently promoting stickers heavily in the store, so also some potential to get us store feature if we do this.

I understad why we would like to get promotion and stuff, but adding stickers in/for an app that is an encyclopedia, feels like a weird thing. Completely different from what the app is, and should we do this, we should keep in mind public opinion if we "lower ourself" to play with stickers and "gimmicks".

JMinor lowered the priority of this task from Normal to Low.Dec 8 2016, 8:13 PM

Comms has created a set of stickers for use on social media, so rather than use the Wikipedia 15 images, we could use those.

@Josve05a yeah, I think the motivation here is now just that we have these images, and this is almost no work on our part to add. I'm not making this a priority, but if they can get us stickers for a little end of the year "fun" we'll through them in the app (at least for a while).

JMinor renamed this task from Add a Wikipedia 15 sticker pack to the app to Add a Wikipedia sticker pack to the app.Dec 8 2016, 8:16 PM
cmadeo updated the task description. (Show Details)Jun 22 2017, 8:54 PM
cmadeo added a subscriber: cmadeo.Jun 22 2017, 8:57 PM

@JMinor and @Nirzar I've updated this ticket to include the iMessage app icons and the stickers in two sizes.

Sorry for the delay. I ended up needing to do a fair bit of clean-up on the stickers in order for the transparent backgrounds to appear correctly.

To do

  • Will we use both black hole stickers? If not which one would we like to use
  • Should the stickers be presented in the 'Normal' or 'Large' size on the store
  • Would we like to have 'screenshots' of the stickers in action (if so I'll need an hour or so to put these together)
  • I have suggested names for all of the stickers in the file names, but we might want to update them, they won't appear on the sticker but can be used with Voice control, etc

Will we use both black hole stickers? If not which one would we like to use

I'd vote to use the "spirally" one. (Dropping the "scientific one").

Should the stickers be presented in the 'Normal' or 'Large' size on the store

I'd suggest large, given the detailed nature of the illustrations.

Would we like to have 'screenshots' of the stickers in action (if so I'll need an hour or so to put these together)

Yep, lets make a subtask and do this towards the end of this release.

I have suggested names for all of the stickers in the file names, but we might want to update them, they won't appear on the sticker but can > be used with Voice control, etc

Yeah, the names look good to me. I'd be curious how VoiceOver pronounces "Schrödinger's"

JMinor updated the task description. (Show Details)Jun 29 2017, 6:35 PM
JoeWalsh added a subscriber: JoeWalsh.EditedJul 21 2017, 1:02 PM

It looks like large/normal stickers can't be bundled if they're identical. We could include both (and have names like "Rabbit hole" and "Large rabbit hole") but it might be better to just pick large or normal to include.

^ here's what large and normal look like in an iMessage on an iPhone SE

I personally haven't seen multiple sizes available in any other packs, so this makes sense.

Also, if we are concerned about size of the app bundle, delivering just one set makes more sense as well.

986 KB (large) vs 628 KB (normal) after PNG optimization

@JoeWalsh sorry for the confusion, I included both as we hadn't decided on a size when I picked up this ticket.

My vote is personally for normal, but open to using the large if we want to.

cmadeo updated the task description. (Show Details)Jul 21 2017, 4:32 PM
JMinor added a comment.EditedJul 21 2017, 5:07 PM

Oops, yeah @cmadeo discussed picking a size, and then I forgot to document it. I agree that normal looks better... (and yes I changed my mind from earlier comment ^)

Should be out in the store early next week, just in time for Wikimania!

TheDJ added a subscriber: TheDJ.EditedAug 4 2017, 7:24 PM

I just used these to create a sticker pack for Telegram as well:
https://t.me/addstickers/WikiSticks

It can be submitted publicly here:
http://telegramhub.net/submit-sticker-pack/
but I have not done so yet (primarily because, i'm not sure if I can transfer ownership to other people etc).

JMinor added a comment.Aug 4 2017, 7:31 PM

Thanks @TheDJ ! I hope to see these on every chat platform some day. I tried to find out how to add them to our Google hangouts, but it looks like it only can be done for Chrome users.

In terms of ownership, the images themselves are PD, but yeah, not sure about brand/trademark stuff. It looks okay to me, but IANAL.

Someone might also want to contact Facebook about a possibility of adding them to Messegnger. stickers@fb.com

JMinor added a comment.Aug 4 2017, 7:57 PM

@ZMcCune ^ not sure how far we got on looking into Facebook, but here's what they say about getting added:

"The Facebook stickers program handpicks artists and licensing partners to work with when pursuing new sticker packs. The process is highly collaborative, and the Facebook creative team works closely with our partners on each pack."

I also peeked at Line, which looks like they claim ownership over assets, which would be a problem. Also not clear they do free (as in beer) packs.

For Twitter, it also looks like only first party stickers (ie. released by twitter). Not sure if we have contacts there or not.

@JMinor - Let me coordinate with Mel Kramer and Aubrie Johnson on the Facebook front. They are the social media leads, so they manage those relationships.

JMinor closed this task as Resolved.Aug 14 2017, 7:41 PM
JMinor claimed this task.